
<div style=" width: 500px; height: 300px;padding: 5px;">
    <div  fxLayout="row" fxLayoutAlign="center center">
        <h4>Taux d'echange : </h4> {{exchangeRate | number}}
    </div>
    <div  fxLayout="row" fxLayoutAlign="start center">
        <mat-checkbox class="example-margin">Fixer taux d'echange</mat-checkbox>

    </div>
      <div style="display: flex" fxLayoutAlign="center center" [formGroup]="exchangeForm">

        <div>
            <mat-form-field  *ngIf="!isChanged">
                <input matInput formControlName="euro">
                <span matSuffix>€</span>
            </mat-form-field>
            <mat-form-field *ngIf="isChanged">
                <input matInput  formControlName="dolar">
                <span matSuffix>$</span>
            </mat-form-field>
        </div>
        <div style="margin-top: 17px;margin-right: 17px;margin-left: 17px;cursor: pointer;"
        (click)="change()"
        >
            <mat-icon >compare_arrows</mat-icon>
        </div>
        <div>
            <mat-form-field *ngIf="!isChanged">
                <input matInput  formControlName="dolar">
                <span matSuffix>$</span>
            </mat-form-field>
            <mat-form-field *ngIf="isChanged">
                <input matInput formControlName="euro" >
                <span matSuffix>€</span>
            </mat-form-field>
        </div>
 
      </div>
    
</div>
    